Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStripLogger::Record Struct Reference

Log record structure. More...

`import "AssetStripLogger.idl";`

## Public Attributes
time | timestamp
| Time of log entry creation (UNIX timestamp, UTC)
RecordType | type
| Entry type.
int | assetStripNumber
| Asset strip number (0-based), -1 if unknown.
int | rackUnitNumber
| Rack unit number (0-based), -1 if unknown.
int | rackUnitPosition
| Rack unit position, -1 if unknown.
int | slotNumber
| Blade extension slot number, -1 if unknown, 0 is main strip, >0 is blade.
string | tagId
| The ID of the asset management tag, empty if unknown.
string | parentBladeId
| ID of the parent blade extension tag in case slotNumber>0, empty otherwise.
AssetStrip::State | state
| Asset strip state.

## Detailed Description

Log record structure.

Definition at line 48 of file AssetStripLogger.idl.

## Member Data Documentation

## ◆ assetStripNumber

int assetmgrmodel::AssetStripLogger::Record::assetStripNumber

Asset strip number (0-based), -1 if unknown.

Definition at line 51 of file AssetStripLogger.idl.

## ◆ parentBladeId

string assetmgrmodel::AssetStripLogger::Record::parentBladeId

ID of the parent blade extension tag in case slotNumber>0, empty otherwise.

Definition at line 56 of file AssetStripLogger.idl.

## ◆ rackUnitNumber

int assetmgrmodel::AssetStripLogger::Record::rackUnitNumber

Rack unit number (0-based), -1 if unknown.

Definition at line 52 of file AssetStripLogger.idl.

## ◆ rackUnitPosition

int assetmgrmodel::AssetStripLogger::Record::rackUnitPosition

Rack unit position, -1 if unknown.

Definition at line 53 of file AssetStripLogger.idl.

## ◆ slotNumber

int assetmgrmodel::AssetStripLogger::Record::slotNumber

Blade extension slot number, -1 if unknown, 0 is main strip, >0 is blade.

Definition at line 54 of file AssetStripLogger.idl.

## ◆ state

AssetStrip::State assetmgrmodel::AssetStripLogger::Record::state

Asset strip state.

Definition at line 57 of file AssetStripLogger.idl.

## ◆ tagId

string assetmgrmodel::AssetStripLogger::Record::tagId

The ID of the asset management tag, empty if unknown.

Definition at line 55 of file AssetStripLogger.idl.

## ◆ timestamp

time assetmgrmodel::AssetStripLogger::Record::timestamp

Time of log entry creation (UNIX timestamp, UTC)

Definition at line 49 of file AssetStripLogger.idl.

## ◆ type

RecordType assetmgrmodel::AssetStripLogger::Record::type

Entry type.

Definition at line 50 of file AssetStripLogger.idl.

The documentation for this struct was generated from the following file:

- AssetStripLogger.idl